<%@ WebHandler Language="C#" Class="ImageHandler" %>

using System;
using System.Web;

public class ImageHandler : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {

        try
        {
            if (context.Request.QueryString["imgKey"] != null)
            {
                byte[] buffer = (byte[])HttpContext.Current.Cache[context.Request.QueryString["imgKey"]];
                context.Response.ContentType = "image/png";
                context.Response.BinaryWrite(buffer);
            }
        }
        catch (Exception ex)
        {
            context.Response.Write("No map available: " + ex.Message);
        }
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}